package org.itscool.commons.connection;

/**
 * Transaction処理に失敗した場合の例外クラスです
 * @author KANO
 * @since jdk1.4.1
 * @version 1.00A 2004/11/1
 */
public class TransactionException extends RuntimeException {
    
    public TransactionException(Exception e){
        super(e);
    }
    
    public TransactionException(String msg){
        super(msg);
    }
    
    public TransactionException(String msg, String sql){
        super(msg+"["+sql+"]");
    }
}
